{% extends "base.html" %}
{% block content %}
<h3 style="text-align: center; margin-top:1%; text-shadow: 0px 0px 10px #ffffff;">Jadwal Kegiatan Saya</h3>
<br><br>
<div class="row">
    <div class="col-md-6 col-xs-6">
        <form method="POST" action="delete_activity/">
            {% csrf_token %}
            <table align="center" style="text-align: center;">
                <tr style="background-color:rgba(255, 255, 255, 0.7);">
                    <th  style="padding:5px">Waktu</th>
                    <th  style="padding:5px">Nama Kegiatan</th>
                    <th  style="padding:5px">Tempat</th>
                    <th  style="padding:5px">Kategori</th>
                </tr>
                {% for diary_data in diary_dict %}
                    <tr style="background-color:rgba(255, 255, 255, 0.7);">
                        <td class="date" style="padding:5px">{{ diary_data.date }}</td>
                        <td class="activity" style="padding:5px">{{ diary_data.activity }}</td>
                        <td class="place" style="padding:5px">{{ diary_data.place }}</td>
                        <td class="category" style="padding:4px">{{ diary_data.category }}</td>
                    </tr>
                    <tr>
                        <td style="border-color:transparent;"></td>
                        <td style="border-color:transparent;"><button type="submit" class="button btn-success" style="margin-top: 5%;">Delete</button></td>
                    </tr>
                {% endfor %}
            </table>
        </form>
    </div>
    <div class="col-md-6 col-xs-6">
        <form method="POST" action="add_activity/">
            {% csrf_token %}
            <table style="background-color:rgba(255, 255, 255, 0.7);">
                <tr>
                    <td style="padding:5px">
                        Waktu
                    </td>
                    <td>
                        <input type="datetime-local" name="date" id="date" required="required"/>
                    </td>
                </tr>
                <tr>
                    <td style="padding:5px">
                        Kegiatan
                    </td>
                    <td>
                        <input type="text" name="activity" id="activity" size="25"/>
                    </td>
                </tr>
                <tr>
                    <td style="padding:5px">
                        Tempat
                    </td>
                    <td>
                        <input type="text" name="place" id="place" size="25"/>
                    </td>
                </tr>
                <tr>
                    <td style="padding:5px">
                        Kategori
                    </td>
                    <td>
                        <input type="text" name="category" id="category" size="25"/>
                    </td>
                </tr>
            </table>
            <button type="submit" class="button btn-success" style="margin-top: 2%">Submit</button>
        </form>
    </div>
</div>
{% endblock %}
